# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Summary:        High-performance, full-featured text search engine
Name:           lucene4
Version:        4.6.1
Release:        1%{?dist}
Epoch:          0
License:        ASL 2.0
URL:            http://lucene.apache.org/
Group:          Development/Libraries
Source0:        lucene-%{version}.tgz
Provides:       lucene-core = %{epoch}:%{version}-%{release}
# previously used by eclipse but no longer needed
Obsoletes:       lucene-devel < %{version}
BuildArch:	     noarch
BuildRoot:       %{_tmppath}/lucene-%{version}-%{release}-buildroot

%description
Jakarta Lucene is a high-performance, full-featured text search engine
written entirely in Java. It is a technology suitable for nearly any
application that requires full-text search, especially cross-platform.

%package contrib
Summary:        Lucene contributed extensions
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description contrib
%{summary}.

%prep
%setup -q -n lucene-%{version}

%build
true

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 0644 core/lucene-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-core-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# contrib jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}-contrib
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}-contrib/lib

    install -m 0644 analysis/*/*%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-contrib/
    install -m 0644 analysis/*/lib/*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-contrib/lib

for i in benchmark sandbox replicator spatial expressions; do
    install -m 0644 $i/*%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-contrib/
    install -m 0644 $i/lib/*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-contrib/lib
done

for c in demo facet highlighter join grouping memory misc queries queryparser suggest codecs classification; do
    install -m 0644 $c/lucene-${c}-%{version}.jar \
		$RPM_BUILD_ROOT%{_javadir}/%{name}-contrib/%{name}-${c}-%{version}.jar
done
(cd $RPM_BUILD_ROOT%{_javadir}/%{name}-contrib && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-core-%{version}.jar
%{_javadir}/%{name}-core.jar

%files contrib
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-contrib


%changelog
* Wed Feb 05 2014 Jason Montleon <jmontleo@redhat.com> 4.6.1-1
- new package built with tito

* Fri Dec 07 2012 Martin Bačovský <mbacovsk@redhat.com> 3.6.1-3
- new package built with tito

* Tue Oct 30 2012 Martin Bačovský <mbacovsk@redhat.com> 3.6.1-2
- Fixed lucen-core jar name (mbacovsk@redhat.com)

* Tue Oct 23 2012 Martin Bačovský <mbacovsk@redhat.com> 3.6.1-1
- updated to 3.6.1

* Tue Dec 14 2011  Shannon Hughes <shughes@redhat.com> - 0:3.4.0-2
- initial package
